import React from 'react';
import MenuProvider from 'material-ui-shell/lib/providers/Menu/Provider';
import ThemeProvider from 'material-ui-shell/lib/providers/Theme/Provider';
import { useConfig } from 'base-shell/lib/providers/Config';
export default function (_ref) {
  var children = _ref.children;

  var _useConfig = useConfig(),
      appConfig = _useConfig.appConfig;

  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(MenuProvider, {
    appConfig: appConfig
  }, /*#__PURE__*/React.createElement(ThemeProvider, {
    appConfig: appConfig
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      display: 'flex'
    }
  }, children))));
}